Bug 151653 - build/install of security/libssh fails to install a static version
build/install of security/libssh fails to install a static version
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: avl
Depends on:
  Show dependency treegraph
Reported: 2010-10-23 08:00 UTC by rfg
Modified: 2010-12-05 06:10 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description rfg 2010-10-23 08:00:17 UTC
	portinstall for libssh only installs a shared version of the library
	but having a static version of the library is often extremely helpful,
	e.g. for faster speed and/or to help debug mysterious or semi-mysterious
	run-time problms/issue with programs using the library.

	(Note that the version of libssh that's installed in /usr/lib by
	default _does_ include a static version of the library.)


Sorry, I don't know how to fix this because libssh apparently uses
	some imponderable think called "cmake" which is entirely foreign
	to me.
How-To-Repeat: 	su root; portinstall libssh
Comment 1 Mark Linimon freebsd_committer 2010-10-24 12:11:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avl

Fix synopsis and assign.
Comment 2 dfilter freebsd_committer 2010-12-05 06:02:55 UTC
avl         2010-12-05 06:02:49 UTC

  FreeBSD ports repository

  Modified files:
    security/libssh      Makefile distinfo pkg-plist 
  Added files:
    security/libssh/files patch-include_libssh_libssh.h 
  - Install a static version of the library [1]
  - Fix slow response in Remmina SSH [2]
  - Remove MD5 checksum from distinfo
  PR:             ports/151653 [1]
  Submitted by:   Ronald F.Guilmette <rfg AT tristatelogic.com> [1]
  Obtained from:  libssh git [2]
  Revision  Changes    Path
  1.15      +4 -0      ports/security/libssh/Makefile
  1.13      +0 -1      ports/security/libssh/distinfo
  1.1       +21 -0     ports/security/libssh/files/patch-include_libssh_libssh.h (new)
  1.1       +14 -0     ports/security/libssh/files/patch-libssh_socket.c (new)
  1.13      +1 -0      ports/security/libssh/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 avl freebsd_committer 2010-12-05 06:03:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!